# TextEffect Struct Reference

Container for all information about a text effect. More...

Inheritance diagram for TextEffect:

## Public Member Functions
void | Reset ()
| Reset the text effect.
## Data Fields
uint64 | params_1
| DParam parameter.
StringID | string_id
| String to draw for the text effect, if INVALID_STRING_ID then it's not valid.
uint8 | duration
| How long the text effect should stay, in ticks (applies only when mode == TE_RISING).
TextEffectMode | mode
| Type of text effect.

## Detailed Description

Container for all information about a text effect.

Definition at line 21 of file texteff.cpp.

The documentation for this struct was generated from the following file:

- src/texteff.cpp